## ros-rolling-rviz2 13.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz2)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)

find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
# TODO(wjwwood): this block is to setup the windeployqt tool, could be removed later.
if(Qt5_FOUND AND WIN32 AND TARGET Qt5::qmake AND NOT TARGET Qt5::windeployqt)
  get_target_property(_qt5_qmake_location Qt5::qmake IMPORTED_LOCATION)

  execute_process(
    COMMAND "${_qt5_qmake_location}" -query QT_INSTALL_PREFIX
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE qt5_install_prefix
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  set(imported_location "${qt5_install_prefix}/bin/windeployqt.exe")

  if(EXISTS ${imported_location})
    add_executable(Qt5::windeployqt IMPORTED)

    set_target_properties(Qt5::windeployqt PROPERTIES
      IMPORTED_LOCATION ${imported_location}
    )
  endif()
endif()

add_executable(${PROJECT_NAME}
  src/main.cpp
)
target_link_libraries(${PROJECT_NAME}
  rviz_common::rviz_common
  rviz_ogre_vendor::OgreMain
  rviz_ogre_vendor::OgreOverlay
  Qt5::Widgets
)

# TODO(wjwwood): find a way to make this optional or to run without "deploying" the
#                necessary dlls and stuff to the bin folder.
#                see:
# https://stackoverflow.com/questions/41193584/deploy-all-qt-dependencies-when-building#41199492
if(TARGET Qt5::windeployqt)
  # execute windeployqt in a tmp directory after build
  add_custom_command(TARGET ${PROJECT_NAME}
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    COMMAND set PATH=%PATH%$<SEMICOLON>${qt5_install_prefix}/bin
    COMMAND
    Qt5::windeployqt
    --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
    "$<TARGET_FILE_DIR:${PROJECT_NAME}>/$<TARGET_FILE_NAME:${PROJECT_NAME}>"
  )

  # copy deployment directory during installation
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION bin
  )
  install(
    DIRECTORY
    "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
    DESTINATION lib/${PROJECT_NAME}
  )
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(TARGETS ${PROJECT_NAME} DESTINATION lib/${PROJECT_NAME})
install(PROGRAMS scripts/rviz1_to_rviz2.py DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)
endif()

set_target_properties(${PROJECT_NAME} PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)

ament_package()

## ros-rolling-rviz2 9.1.1

=== debian/changelog ===
ros-rolling-rviz2 (9.1.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz2 (9.1.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz2 (9.0.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz2 (9.0.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz2 (8.7.0-1focal) focal; urgency=high

  * Change links index.ros.org -> docs.ros.org. (#698 <https://github.com/ros2/rviz/issues/698>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz2 (8.6.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz2 (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz2 (8.4.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz2 (8.3.1-1focal) focal; urgency=high

  * Use "%s" as format string literal in logging macros (#633 <https://github.com/ros2/rviz/issues/633>)
  * Contributors: Audrow Nash

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz2 (8.3.0-1focal) focal; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Move and update documentation for ROS 2 (#600 <https://github.com/ros2/rviz/issues/600>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rviz2 (8.2.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-rviz2 (8.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz2 (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz2 (8.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rviz2 (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Thu, 21 May 2020 07:00:00 -0000

ros-rolling-rviz2 (8.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rviz2 (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-rviz2 (7.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rviz2 (7.0.2-1focal) focal; urgency=high

  * Remove ROS arguments before passing to QApplication (#474 <https://github.com/ros2/rviz/issues/474>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rviz2 (7.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-rviz2 (7.0.0-1focal) focal; urgency=high

  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen

 -- Scott K Logan <scott@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-rviz2 (6.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rviz2 (6.1.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rviz2 (6.0.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rviz2 (5.1.0-1focal) focal; urgency=high

  * Update package maintainer for rviz2 (#365 <https://github.com/ros2/rviz/issues/365>)
    Thank you to Deanna for her contributions.
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-rolling-rviz2 (5.0.0-1focal) focal; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#357 <https://github.com/ros2/rviz/issues/357>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Contributors: Andreas Greimel, Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-rolling-rviz2 (4.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-rolling-rviz2 (4.0.0-1focal) focal; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Introduced a ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Added a dependency between rviz2 and rviz_default_plugins (#149 <https://github.com/ros2/rviz/issues/149>)


=== debian/control ===
Source: ros-rolling-rviz2
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-cpplint, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-uncrustify, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rviz-common, ros-rolling-rviz-ogre-vendor, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-rolling-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rviz-common, ros-rolling-rviz-default-plugins, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rviz2 13.1.0

=== debian/changelog ===
ros-rolling-rviz2 (13.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz2 (13.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz2 (12.8.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz2 (12.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz2 (12.6.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz2 (12.6.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz2 (12.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz2 (12.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz2 (12.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz2 (12.3.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz2 (12.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz2 (12.3.0-1jammy) jammy; urgency=high

  * Make rviz1_to_rviz2.py accept configs with missing values (#945 <https://github.com/ros2/rviz/issues/945>)
  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz2 (12.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz2 (12.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz2 (12.0.0-1jammy) jammy; urgency=high

  * Add rviz1_to_rviz2.py conversion script (#882 <https://github.com/ros2/rviz/issues/882>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz2 (11.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz2 (11.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz2 (11.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz2 (11.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz2 (11.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz2 (10.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz2 (9.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz2 (9.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rviz2 (9.0.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rviz2 (9.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rviz2 (8.7.0-1jammy) jammy; urgency=high

  * Change links index.ros.org -> docs.ros.org. (#698 <https://github.com/ros2/rviz/issues/698>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rviz2 (8.6.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 May 2021 00:00:00 -0000

ros-rolling-rviz2 (8.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rviz2 (8.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rviz2 (8.3.1-1jammy) jammy; urgency=high

  * Use "%s" as format string literal in logging macros (#633 <https://github.com/ros2/rviz/issues/633>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rviz2 (8.3.0-1jammy) jammy; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Move and update documentation for ROS 2 (#600 <https://github.com/ros2/rviz/issues/600>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rviz2 (8.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-rolling-rviz2 (8.1.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-rviz2
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-yaml <!nocheck>, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck <!nocheck>, ros-rolling-ament-cmake-cpplint <!nocheck>, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-geometry-msgs <!nocheck>, ros-rolling-rclcpp <!nocheck>, ros-rolling-rviz-common, ros-rolling-rviz-ogre-vendor, ros-rolling-sensor-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-rolling-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-rolling-rviz-common, ros-rolling-rviz-default-plugins, ros-rolling-rviz-ogre-vendor, ros-rolling-ros-workspace
Description: 3D visualization tool for ROS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -51,8 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/opt/rviz_yaml_cpp_vendor/lib/
-
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz2//opt/ros/rolling/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
